## org.apache.poi.hwpf.model
Class ListFormatOverrideLevel

    java.lang.Object
      org.apache.poi.hwpf.model.ListFormatOverrideLevel

    @Internal
    public final class ListFormatOverrideLevel

extends java.lang.Object

The LFOLVL structure contains information that is used to override the formatting information of a corresponding LVL.

Class and fields descriptions are quoted from Microsoft Office Word 97-2007 Binary File Format and [MS-DOC] - v20110608 Word (.doc) Binary File Format

Constructor Summary
`ListFormatOverrideLevel(byte[] buf, int offset)`

Method Summary
`boolean` `equals(java.lang.Object obj)`
`int` `getIStartAt()`
`ListLevel` `getLevel()`
`int` `getLevelNum()`
`int` `getSizeInBytes()`
`int` `hashCode()`
`boolean` `isFormatting()`
`boolean` `isStartAt()`
`byte[]` `toByteArray()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListFormatOverrideLevel

    public ListFormatOverrideLevel(byte[] buf,
                                   int offset)

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### getIStartAt

    public int getIStartAt()

### getLevel

    public ListLevel getLevel()

### getLevelNum

    public int getLevelNum()

### getSizeInBytes

    public int getSizeInBytes()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### isFormatting

    public boolean isFormatting()

### isStartAt

    public boolean isStartAt()

### toByteArray

    public byte[] toByteArray()

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.